Don't add modes to which-func-modes if already set to t.
[bpt/emacs.git] / m4 / gl-comp.m4
CommitLineData
743c80a7 1# DO NOT EDIT! GENERATED AUTOMATICALLY!
5e6ab4e6 2# Copyright (C) 2002-2012 Free Software Foundation, Inc.
743c80a7 3#
316f8af0
PE
4# This file is free software; you can redistribute it and/or modify
5# it under the terms of the GNU General Public License as published by
6# the Free Software Foundation; either version 3 of the License, or
7# (at your option) any later version.
8#
9# This file is distributed in the hope that it will be useful,
10# but WITHOUT ANY WARRANTY; without even the implied warranty of
11# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
12# GNU General Public License for more details.
13#
14# You should have received a copy of the GNU General Public License
15# along with this file. If not, see <http://www.gnu.org/licenses/>.
16#
17# As a special exception to the GNU General Public License,
18# this file may be distributed as part of a program that
19# contains a configuration script generated by Autoconf, under
743c80a7
PE
20# the same distribution terms as the rest of that program.
21#
22# Generated by gnulib-tool.
23#
24# This file represents the compiled summary of the specification in
25# gnulib-cache.m4. It lists the computed macro invocations that need
26# to be invoked from configure.ac.
27# In projects that use version control, this file can be treated like
28# other built files.
29
30
31# This macro should be invoked from ./configure.in, in the section
32# "Checks for programs", right after AC_PROG_CC, and certainly before
33# any checks for libraries, header files, types and library functions.
34AC_DEFUN([gl_EARLY],
35[
36 m4_pattern_forbid([^gl_[A-Z]])dnl the gnulib macro namespace
37 m4_pattern_allow([^gl_ES$])dnl a valid locale name
38 m4_pattern_allow([^gl_LIBOBJS$])dnl a variable
39 m4_pattern_allow([^gl_LTLIBOBJS$])dnl a variable
7f59d9c8 40 AC_REQUIRE([gl_PROG_AR_RANLIB])
fa23e171 41 # Code from module alloca-opt:
7ec98caf 42 # Code from module allocator:
d1fdcab7 43 # Code from module careadlinkat:
942f733f 44 # Code from module crypto/md5:
13c3daa4 45 # Code from module crypto/sha1:
3ce9d0d4
LL
46 # Code from module crypto/sha256:
47 # Code from module crypto/sha512:
36f13e16 48 # Code from module dosname:
f737437b 49 # Code from module dtoastr:
7a7ef429 50 # Code from module dup2:
1fd182f0
PE
51 # Code from module extensions:
52 AC_REQUIRE([gl_USE_SYSTEM_EXTENSIONS])
5fa4ac76 53 # Code from module filemode:
79ab4b7f 54 # Code from module getloadavg:
e275c824
PE
55 # Code from module getopt-gnu:
56 # Code from module getopt-posix:
57 # Code from module gettext-h:
67342916 58 # Code from module ignore-value:
1fd182f0 59 # Code from module include_next:
a451f14b 60 # Code from module intprops:
b6f5355a 61 # Code from module inttypes-incomplete:
54020294 62 # Code from module largefile:
7f59d9c8 63 AC_REQUIRE([AC_SYS_LARGEFILE])
ae0d7250 64 # Code from module lstat:
1fd182f0
PE
65 # Code from module mktime:
66 # Code from module multiarch:
24e0f6b1 67 # Code from module nocrash:
6df37268 68 # Code from module pathmax:
6db30f83 69 # Code from module pthread_sigmask:
ae0d7250 70 # Code from module readlink:
316f8af0 71 # Code from module signal-h:
2a84b02d 72 # Code from module sigprocmask:
24e0f6b1
PE
73 # Code from module snippet/_Noreturn:
74 # Code from module snippet/arg-nonnull:
75 # Code from module snippet/c++defs:
76 # Code from module snippet/warn-on-use:
401bf9b4 77 # Code from module socklen:
d1fdcab7 78 # Code from module ssize_t:
ae0d7250 79 # Code from module stat:
c378da0b
PE
80 # Code from module stdarg:
81 dnl Some compilers (e.g., AIX 5.3 cc) need to be in c99 mode
82 dnl for the builtin va_copy to work. With Autoconf 2.60 or later,
d47439a3 83 dnl gl_PROG_CC_C99 arranges for this. With older Autoconf gl_PROG_CC_C99
c378da0b 84 dnl shouldn't hurt, though installers are on their own to set c99 mode.
d47439a3 85 gl_PROG_CC_C99
16c3e636 86 # Code from module stdbool:
1fd182f0 87 # Code from module stddef:
5f90be1b 88 # Code from module stdint:
77185bdf 89 # Code from module stdio:
79ab4b7f 90 # Code from module stdlib:
16c3e636 91 # Code from module strftime:
f6ce9b9a
PE
92 # Code from module strtoimax:
93 # Code from module strtoll:
b6f5355a 94 # Code from module strtoull:
a8a2bb29 95 # Code from module strtoumax:
ae0d7250 96 # Code from module symlink:
5fa4ac76 97 # Code from module sys_stat:
1fd182f0
PE
98 # Code from module time:
99 # Code from module time_r:
3ce9d0d4 100 # Code from module u64:
e275c824 101 # Code from module unistd:
a8a2bb29 102 # Code from module verify:
743c80a7
PE
103])
104
105# This macro should be invoked from ./configure.in, in the section
106# "Check for header files, types and library functions".
107AC_DEFUN([gl_INIT],
108[
109 AM_CONDITIONAL([GL_COND_LIBTOOL], [false])
110 gl_cond_libtool=false
111 gl_libdeps=
112 gl_ltlibdeps=
113 gl_m4_base='m4'
114 m4_pushdef([AC_LIBOBJ], m4_defn([gl_LIBOBJ]))
115 m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gl_REPLACE_FUNCS]))
116 m4_pushdef([AC_LIBSOURCES], m4_defn([gl_LIBSOURCES]))
117 m4_pushdef([gl_LIBSOURCES_LIST], [])
118 m4_pushdef([gl_LIBSOURCES_DIR], [])
119 gl_COMMON
120 gl_source_base='lib'
fa23e171 121gl_FUNC_ALLOCA
19548d08
PE
122AC_CHECK_FUNCS_ONCE([readlinkat])
123gl_MD5
13c3daa4 124gl_SHA1
3ce9d0d4
LL
125gl_SHA256
126gl_SHA512
19548d08 127AC_REQUIRE([gl_C99_STRTOLD])
7a7ef429 128gl_FUNC_DUP2
54020294
PE
129if test $HAVE_DUP2 = 0 || test $REPLACE_DUP2 = 1; then
130 AC_LIBOBJ([dup2])
316f8af0 131 gl_PREREQ_DUP2
54020294 132fi
7a7ef429 133gl_UNISTD_MODULE_INDICATOR([dup2])
19548d08 134gl_FILEMODE
6a3e57bb 135gl_GETLOADAVG
8aeb5be9
PE
136if test $HAVE_GETLOADAVG = 0; then
137 AC_LIBOBJ([getloadavg])
138 gl_PREREQ_GETLOADAVG
139fi
19548d08
PE
140gl_STDLIB_MODULE_INDICATOR([getloadavg])
141gl_FUNC_GETOPT_GNU
8aeb5be9
PE
142if test $REPLACE_GETOPT = 1; then
143 AC_LIBOBJ([getopt])
144 AC_LIBOBJ([getopt1])
145 gl_PREREQ_GETOPT
146fi
19548d08
PE
147gl_MODULE_INDICATOR_FOR_TESTS([getopt-gnu])
148gl_FUNC_GETOPT_POSIX
8aeb5be9
PE
149if test $REPLACE_GETOPT = 1; then
150 AC_LIBOBJ([getopt])
151 AC_LIBOBJ([getopt1])
152 gl_PREREQ_GETOPT
153fi
19548d08
PE
154AC_REQUIRE([AC_C_INLINE])
155gl_INTTYPES_INCOMPLETE
156gl_FUNC_LSTAT
8aeb5be9
PE
157if test $REPLACE_LSTAT = 1; then
158 AC_LIBOBJ([lstat])
159 gl_PREREQ_LSTAT
160fi
19548d08
PE
161gl_SYS_STAT_MODULE_INDICATOR([lstat])
162gl_FUNC_MKTIME
8aeb5be9
PE
163if test $REPLACE_MKTIME = 1; then
164 AC_LIBOBJ([mktime])
165 gl_PREREQ_MKTIME
166fi
19548d08
PE
167gl_TIME_MODULE_INDICATOR([mktime])
168gl_MULTIARCH
2a84b02d
PE
169gl_FUNC_PTHREAD_SIGMASK
170if test $HAVE_PTHREAD_SIGMASK = 0 || test $REPLACE_PTHREAD_SIGMASK = 1; then
171 AC_LIBOBJ([pthread_sigmask])
24e0f6b1 172 gl_PREREQ_PTHREAD_SIGMASK
2a84b02d 173fi
6db30f83 174gl_SIGNAL_MODULE_INDICATOR([pthread_sigmask])
19548d08 175gl_FUNC_READLINK
8aeb5be9
PE
176if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
177 AC_LIBOBJ([readlink])
178 gl_PREREQ_READLINK
179fi
19548d08 180gl_UNISTD_MODULE_INDICATOR([readlink])
6db30f83 181gl_SIGNAL_H
19548d08
PE
182gl_TYPE_SOCKLEN_T
183gt_TYPE_SSIZE_T
c378da0b 184gl_STDARG_H
19548d08
PE
185AM_STDBOOL_H
186gl_STDDEF_H
187gl_STDINT_H
188gl_STDIO_H
189gl_STDLIB_H
190gl_FUNC_GNU_STRFTIME
f6ce9b9a 191gl_FUNC_STRTOIMAX
7f59d9c8 192if test $ac_cv_func_strtoimax = no; then
f6ce9b9a
PE
193 AC_LIBOBJ([strtoimax])
194 gl_PREREQ_STRTOIMAX
195fi
196gl_INTTYPES_MODULE_INDICATOR([strtoimax])
19548d08 197gl_FUNC_STRTOUMAX
7f59d9c8 198if test $ac_cv_func_strtoumax = no; then
8aeb5be9
PE
199 AC_LIBOBJ([strtoumax])
200 gl_PREREQ_STRTOUMAX
201fi
19548d08
PE
202gl_INTTYPES_MODULE_INDICATOR([strtoumax])
203gl_FUNC_SYMLINK
8aeb5be9
PE
204if test $HAVE_SYMLINK = 0 || test $REPLACE_SYMLINK = 1; then
205 AC_LIBOBJ([symlink])
206fi
19548d08
PE
207gl_UNISTD_MODULE_INDICATOR([symlink])
208gl_HEADER_SYS_STAT_H
209AC_PROG_MKDIR_P
210gl_HEADER_TIME_H
211gl_TIME_R
8aeb5be9
PE
212if test $HAVE_LOCALTIME_R = 0 || test $REPLACE_LOCALTIME_R = 1; then
213 AC_LIBOBJ([time_r])
214 gl_PREREQ_TIME_R
215fi
19548d08 216gl_TIME_MODULE_INDICATOR([time_r])
3ce9d0d4 217AC_REQUIRE([AC_C_INLINE])
19548d08
PE
218gl_UNISTD_H
219 gl_gnulib_enabled_dosname=false
220 gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=false
6df37268 221 gl_gnulib_enabled_pathmax=false
2a84b02d 222 gl_gnulib_enabled_sigprocmask=false
19548d08 223 gl_gnulib_enabled_stat=false
f6ce9b9a 224 gl_gnulib_enabled_strtoll=false
19548d08
PE
225 gl_gnulib_enabled_strtoull=false
226 gl_gnulib_enabled_verify=false
227 func_gl_gnulib_m4code_dosname ()
228 {
229 if ! $gl_gnulib_enabled_dosname; then
230 gl_gnulib_enabled_dosname=true
231 fi
232 }
233 func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36 ()
234 {
235 if ! $gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36; then
236AC_SUBST([LIBINTL])
237AC_SUBST([LTLIBINTL])
238 gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=true
239 fi
240 }
6df37268
PE
241 func_gl_gnulib_m4code_pathmax ()
242 {
243 if ! $gl_gnulib_enabled_pathmax; then
244gl_PATHMAX
245 gl_gnulib_enabled_pathmax=true
246 fi
247 }
2a84b02d
PE
248 func_gl_gnulib_m4code_sigprocmask ()
249 {
250 if ! $gl_gnulib_enabled_sigprocmask; then
251gl_SIGNALBLOCKING
252if test $HAVE_POSIX_SIGNALBLOCKING = 0; then
253 AC_LIBOBJ([sigprocmask])
254 gl_PREREQ_SIGPROCMASK
255fi
256gl_SIGNAL_MODULE_INDICATOR([sigprocmask])
257 gl_gnulib_enabled_sigprocmask=true
258 fi
259 }
19548d08
PE
260 func_gl_gnulib_m4code_stat ()
261 {
262 if ! $gl_gnulib_enabled_stat; then
263gl_FUNC_STAT
8aeb5be9
PE
264if test $REPLACE_STAT = 1; then
265 AC_LIBOBJ([stat])
266 gl_PREREQ_STAT
267fi
19548d08
PE
268gl_SYS_STAT_MODULE_INDICATOR([stat])
269 gl_gnulib_enabled_stat=true
d47439a3 270 if test $REPLACE_STAT = 1; then
19548d08
PE
271 func_gl_gnulib_m4code_dosname
272 fi
6df37268
PE
273 if test $REPLACE_STAT = 1; then
274 func_gl_gnulib_m4code_pathmax
275 fi
d47439a3 276 if test $REPLACE_STAT = 1; then
6dd7e400
PE
277 func_gl_gnulib_m4code_verify
278 fi
19548d08
PE
279 fi
280 }
f6ce9b9a
PE
281 func_gl_gnulib_m4code_strtoll ()
282 {
283 if ! $gl_gnulib_enabled_strtoll; then
284gl_FUNC_STRTOLL
285if test $HAVE_STRTOLL = 0; then
286 AC_LIBOBJ([strtoll])
287 gl_PREREQ_STRTOLL
288fi
289gl_STDLIB_MODULE_INDICATOR([strtoll])
290 gl_gnulib_enabled_strtoll=true
291 fi
292 }
19548d08
PE
293 func_gl_gnulib_m4code_strtoull ()
294 {
295 if ! $gl_gnulib_enabled_strtoull; then
296gl_FUNC_STRTOULL
8aeb5be9
PE
297if test $HAVE_STRTOULL = 0; then
298 AC_LIBOBJ([strtoull])
299 gl_PREREQ_STRTOULL
300fi
19548d08
PE
301gl_STDLIB_MODULE_INDICATOR([strtoull])
302 gl_gnulib_enabled_strtoull=true
303 fi
304 }
305 func_gl_gnulib_m4code_verify ()
306 {
307 if ! $gl_gnulib_enabled_verify; then
308 gl_gnulib_enabled_verify=true
309 fi
310 }
8aeb5be9 311 if test $REPLACE_GETOPT = 1; then
19548d08
PE
312 func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36
313 fi
314 if test $REPLACE_LSTAT = 1; then
315 func_gl_gnulib_m4code_dosname
316 fi
317 if test $REPLACE_LSTAT = 1; then
318 func_gl_gnulib_m4code_stat
319 fi
2a84b02d 320 if test $HAVE_PTHREAD_SIGMASK = 0 || test $REPLACE_PTHREAD_SIGMASK = 1; then
6db30f83
PE
321 func_gl_gnulib_m4code_sigprocmask
322 fi
19548d08
PE
323 if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
324 func_gl_gnulib_m4code_stat
325 fi
7f59d9c8 326 if test $ac_cv_func_strtoimax = no; then
f6ce9b9a
PE
327 func_gl_gnulib_m4code_verify
328 fi
7f59d9c8 329 if test $ac_cv_func_strtoimax = no && test $ac_cv_type_long_long_int = yes; then
f6ce9b9a
PE
330 func_gl_gnulib_m4code_strtoll
331 fi
7f59d9c8 332 if test $ac_cv_func_strtoumax = no; then
19548d08
PE
333 func_gl_gnulib_m4code_verify
334 fi
7f59d9c8 335 if test $ac_cv_func_strtoumax = no && test $ac_cv_type_unsigned_long_long_int = yes; then
19548d08
PE
336 func_gl_gnulib_m4code_strtoull
337 fi
338 m4_pattern_allow([^gl_GNULIB_ENABLED_])
339 AM_CONDITIONAL([gl_GNULIB_ENABLED_dosname], [$gl_gnulib_enabled_dosname])
340 AM_CONDITIONAL([gl_GNULIB_ENABLED_be453cec5eecf5731a274f2de7f2db36], [$gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36])
6df37268 341 AM_CONDITIONAL([gl_GNULIB_ENABLED_pathmax], [$gl_gnulib_enabled_pathmax])
2a84b02d 342 AM_CONDITIONAL([gl_GNULIB_ENABLED_sigprocmask], [$gl_gnulib_enabled_sigprocmask])
19548d08 343 AM_CONDITIONAL([gl_GNULIB_ENABLED_stat], [$gl_gnulib_enabled_stat])
f6ce9b9a 344 AM_CONDITIONAL([gl_GNULIB_ENABLED_strtoll], [$gl_gnulib_enabled_strtoll])
19548d08
PE
345 AM_CONDITIONAL([gl_GNULIB_ENABLED_strtoull], [$gl_gnulib_enabled_strtoull])
346 AM_CONDITIONAL([gl_GNULIB_ENABLED_verify], [$gl_gnulib_enabled_verify])
743c80a7
PE
347 # End of code from modules
348 m4_ifval(gl_LIBSOURCES_LIST, [
349 m4_syscmd([test ! -d ]m4_defn([gl_LIBSOURCES_DIR])[ ||
350 for gl_file in ]gl_LIBSOURCES_LIST[ ; do
351 if test ! -r ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file ; then
352 echo "missing file ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file" >&2
353 exit 1
354 fi
355 done])dnl
356 m4_if(m4_sysval, [0], [],
357 [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
358 ])
359 m4_popdef([gl_LIBSOURCES_DIR])
360 m4_popdef([gl_LIBSOURCES_LIST])
361 m4_popdef([AC_LIBSOURCES])
362 m4_popdef([AC_REPLACE_FUNCS])
363 m4_popdef([AC_LIBOBJ])
364 AC_CONFIG_COMMANDS_PRE([
365 gl_libobjs=
366 gl_ltlibobjs=
367 if test -n "$gl_LIBOBJS"; then
368 # Remove the extension.
369 sed_drop_objext='s/\.o$//;s/\.obj$//'
370 for i in `for i in $gl_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
371 gl_libobjs="$gl_libobjs $i.$ac_objext"
372 gl_ltlibobjs="$gl_ltlibobjs $i.lo"
373 done
374 fi
375 AC_SUBST([gl_LIBOBJS], [$gl_libobjs])
376 AC_SUBST([gl_LTLIBOBJS], [$gl_ltlibobjs])
377 ])
378 gltests_libdeps=
379 gltests_ltlibdeps=
380 m4_pushdef([AC_LIBOBJ], m4_defn([gltests_LIBOBJ]))
381 m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gltests_REPLACE_FUNCS]))
382 m4_pushdef([AC_LIBSOURCES], m4_defn([gltests_LIBSOURCES]))
383 m4_pushdef([gltests_LIBSOURCES_LIST], [])
384 m4_pushdef([gltests_LIBSOURCES_DIR], [])
385 gl_COMMON
386 gl_source_base='tests'
387changequote(,)dnl
388 gltests_WITNESS=IN_`echo "${PACKAGE-$PACKAGE_TARNAME}" | LC_ALL=C tr abcdefghijklmnopqrstuvwxyz ABCDEFGHIJKLMNOPQRSTUVWXYZ | LC_ALL=C sed -e 's/[^A-Z0-9_]/_/g'`_GNULIB_TESTS
389changequote([, ])dnl
390 AC_SUBST([gltests_WITNESS])
391 gl_module_indicator_condition=$gltests_WITNESS
392 m4_pushdef([gl_MODULE_INDICATOR_CONDITION], [$gl_module_indicator_condition])
19548d08 393 m4_pattern_allow([^gl_GNULIB_ENABLED_])
743c80a7
PE
394 m4_popdef([gl_MODULE_INDICATOR_CONDITION])
395 m4_ifval(gltests_LIBSOURCES_LIST, [
396 m4_syscmd([test ! -d ]m4_defn([gltests_LIBSOURCES_DIR])[ ||
397 for gl_file in ]gltests_LIBSOURCES_LIST[ ; do
398 if test ! -r ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file ; then
399 echo "missing file ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file" >&2
400 exit 1
401 fi
402 done])dnl
403 m4_if(m4_sysval, [0], [],
404 [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
405 ])
406 m4_popdef([gltests_LIBSOURCES_DIR])
407 m4_popdef([gltests_LIBSOURCES_LIST])
408 m4_popdef([AC_LIBSOURCES])
409 m4_popdef([AC_REPLACE_FUNCS])
410 m4_popdef([AC_LIBOBJ])
411 AC_CONFIG_COMMANDS_PRE([
412 gltests_libobjs=
413 gltests_ltlibobjs=
414 if test -n "$gltests_LIBOBJS"; then
415 # Remove the extension.
416 sed_drop_objext='s/\.o$//;s/\.obj$//'
417 for i in `for i in $gltests_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
418 gltests_libobjs="$gltests_libobjs $i.$ac_objext"
419 gltests_ltlibobjs="$gltests_ltlibobjs $i.lo"
420 done
421 fi
422 AC_SUBST([gltests_LIBOBJS], [$gltests_libobjs])
423 AC_SUBST([gltests_LTLIBOBJS], [$gltests_ltlibobjs])
424 ])
425 LIBGNU_LIBDEPS="$gl_libdeps"
426 AC_SUBST([LIBGNU_LIBDEPS])
427 LIBGNU_LTLIBDEPS="$gl_ltlibdeps"
428 AC_SUBST([LIBGNU_LTLIBDEPS])
429])
430
431# Like AC_LIBOBJ, except that the module name goes
432# into gl_LIBOBJS instead of into LIBOBJS.
433AC_DEFUN([gl_LIBOBJ], [
434 AS_LITERAL_IF([$1], [gl_LIBSOURCES([$1.c])])dnl
435 gl_LIBOBJS="$gl_LIBOBJS $1.$ac_objext"
436])
437
438# Like AC_REPLACE_FUNCS, except that the module name goes
439# into gl_LIBOBJS instead of into LIBOBJS.
440AC_DEFUN([gl_REPLACE_FUNCS], [
441 m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
442 AC_CHECK_FUNCS([$1], , [gl_LIBOBJ($ac_func)])
443])
444
445# Like AC_LIBSOURCES, except the directory where the source file is
446# expected is derived from the gnulib-tool parameterization,
447# and alloca is special cased (for the alloca-opt module).
448# We could also entirely rely on EXTRA_lib..._SOURCES.
449AC_DEFUN([gl_LIBSOURCES], [
450 m4_foreach([_gl_NAME], [$1], [
451 m4_if(_gl_NAME, [alloca.c], [], [
452 m4_define([gl_LIBSOURCES_DIR], [lib])
453 m4_append([gl_LIBSOURCES_LIST], _gl_NAME, [ ])
454 ])
455 ])
456])
457
458# Like AC_LIBOBJ, except that the module name goes
459# into gltests_LIBOBJS instead of into LIBOBJS.
460AC_DEFUN([gltests_LIBOBJ], [
461 AS_LITERAL_IF([$1], [gltests_LIBSOURCES([$1.c])])dnl
462 gltests_LIBOBJS="$gltests_LIBOBJS $1.$ac_objext"
463])
464
465# Like AC_REPLACE_FUNCS, except that the module name goes
466# into gltests_LIBOBJS instead of into LIBOBJS.
467AC_DEFUN([gltests_REPLACE_FUNCS], [
468 m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
469 AC_CHECK_FUNCS([$1], , [gltests_LIBOBJ($ac_func)])
470])
471
472# Like AC_LIBSOURCES, except the directory where the source file is
473# expected is derived from the gnulib-tool parameterization,
474# and alloca is special cased (for the alloca-opt module).
475# We could also entirely rely on EXTRA_lib..._SOURCES.
476AC_DEFUN([gltests_LIBSOURCES], [
477 m4_foreach([_gl_NAME], [$1], [
478 m4_if(_gl_NAME, [alloca.c], [], [
479 m4_define([gltests_LIBSOURCES_DIR], [tests])
480 m4_append([gltests_LIBSOURCES_LIST], _gl_NAME, [ ])
481 ])
482 ])
483])
484
485# This macro records the list of files which have been installed by
486# gnulib-tool and may be removed by future gnulib-tool invocations.
487AC_DEFUN([gl_FILE_LIST], [
24e0f6b1
PE
488 build-aux/snippet/_Noreturn.h
489 build-aux/snippet/arg-nonnull.h
490 build-aux/snippet/c++defs.h
491 build-aux/snippet/warn-on-use.h
fa23e171 492 lib/alloca.in.h
7ec98caf 493 lib/allocator.c
d1fdcab7
PE
494 lib/allocator.h
495 lib/careadlinkat.c
496 lib/careadlinkat.h
36f13e16 497 lib/dosname.h
a451f14b 498 lib/dtoastr.c
7a7ef429 499 lib/dup2.c
5fa4ac76
PE
500 lib/filemode.c
501 lib/filemode.h
a451f14b
PE
502 lib/ftoastr.c
503 lib/ftoastr.h
79ab4b7f 504 lib/getloadavg.c
e275c824
PE
505 lib/getopt.c
506 lib/getopt.in.h
507 lib/getopt1.c
508 lib/getopt_int.h
509 lib/gettext.h
67342916 510 lib/ignore-value.h
a451f14b 511 lib/intprops.h
a8a2bb29 512 lib/inttypes.in.h
ae0d7250 513 lib/lstat.c
942f733f
PE
514 lib/md5.c
515 lib/md5.h
1fd182f0
PE
516 lib/mktime-internal.h
517 lib/mktime.c
6df37268 518 lib/pathmax.h
2a84b02d 519 lib/pthread_sigmask.c
ae0d7250 520 lib/readlink.c
13c3daa4
LL
521 lib/sha1.c
522 lib/sha1.h
3ce9d0d4
LL
523 lib/sha256.c
524 lib/sha256.h
525 lib/sha512.c
526 lib/sha512.h
6db30f83 527 lib/signal.in.h
2a84b02d 528 lib/sigprocmask.c
ae0d7250 529 lib/stat.c
c378da0b 530 lib/stdarg.in.h
16c3e636 531 lib/stdbool.in.h
1fd182f0 532 lib/stddef.in.h
5f90be1b 533 lib/stdint.in.h
77185bdf 534 lib/stdio.in.h
79ab4b7f 535 lib/stdlib.in.h
16c3e636
PE
536 lib/strftime.c
537 lib/strftime.h
a8a2bb29
PE
538 lib/strtoimax.c
539 lib/strtol.c
f6ce9b9a 540 lib/strtoll.c
a8a2bb29
PE
541 lib/strtoul.c
542 lib/strtoull.c
543 lib/strtoumax.c
ae0d7250 544 lib/symlink.c
5fa4ac76 545 lib/sys_stat.in.h
1fd182f0
PE
546 lib/time.in.h
547 lib/time_r.c
3ce9d0d4 548 lib/u64.h
e275c824 549 lib/unistd.in.h
a8a2bb29 550 lib/verify.h
743c80a7 551 m4/00gnulib.m4
fa23e171 552 m4/alloca.m4
a451f14b 553 m4/c-strtod.m4
7a7ef429 554 m4/dup2.m4
1fd182f0 555 m4/extensions.m4
5fa4ac76 556 m4/filemode.m4
79ab4b7f 557 m4/getloadavg.m4
e275c824 558 m4/getopt.m4
743c80a7 559 m4/gnulib-common.m4
1fd182f0 560 m4/include_next.m4
a8a2bb29 561 m4/inttypes.m4
54020294 562 m4/largefile.m4
5f90be1b 563 m4/longlong.m4
ae0d7250 564 m4/lstat.m4
5e6ab4e6 565 m4/manywarnings.m4
942f733f 566 m4/md5.m4
1fd182f0
PE
567 m4/mktime.m4
568 m4/multiarch.m4
24e0f6b1 569 m4/nocrash.m4
6df37268 570 m4/pathmax.m4
6db30f83 571 m4/pthread_sigmask.m4
ae0d7250 572 m4/readlink.m4
13c3daa4 573 m4/sha1.m4
3ce9d0d4
LL
574 m4/sha256.m4
575 m4/sha512.m4
6db30f83 576 m4/signal_h.m4
2a84b02d 577 m4/signalblocking.m4
401bf9b4 578 m4/socklen.m4
d1fdcab7 579 m4/ssize_t.m4
5fa4ac76 580 m4/st_dm_mode.m4
ae0d7250 581 m4/stat.m4
c378da0b 582 m4/stdarg.m4
16c3e636 583 m4/stdbool.m4
1fd182f0 584 m4/stddef_h.m4
5f90be1b 585 m4/stdint.m4
77185bdf 586 m4/stdio_h.m4
79ab4b7f 587 m4/stdlib_h.m4
16c3e636 588 m4/strftime.m4
f6ce9b9a
PE
589 m4/strtoimax.m4
590 m4/strtoll.m4
a8a2bb29
PE
591 m4/strtoull.m4
592 m4/strtoumax.m4
ae0d7250 593 m4/symlink.m4
5fa4ac76 594 m4/sys_stat_h.m4
1fd182f0
PE
595 m4/time_h.m4
596 m4/time_r.m4
16c3e636 597 m4/tm_gmtoff.m4
e275c824 598 m4/unistd_h.m4
1fd182f0 599 m4/warn-on-use.m4
5e6ab4e6 600 m4/warnings.m4
1fd182f0 601 m4/wchar_t.m4
743c80a7 602])